#pragma once

#include "CoreMinimal.h"
#include "InteractionDefinition.h"
#include "KillerFormSwitchingTransitionInteraction.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class DBDGAMEPLAY_API UKillerFormSwitchingTransitionInteraction : public UInteractionDefinition
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool _targetFormToTransitionIsNextForm;

public:
	UKillerFormSwitchingTransitionInteraction();
};

FORCEINLINE uint32 GetTypeHash(const UKillerFormSwitchingTransitionInteraction) { return 0; }
